#FROM python:3.9
#RUN pip install -U flask flask-cors pyjwt pycryptodome python-dotenv redis-py-cluster pika requests pymongo bcrypt uuid
#RUN apt-get update
#RUN apt-get install vim -y
FROM accounts-nominee-base:base

MAINTAINER DigiLocker-Alok
LABEL version="1.0"
ENV TZ="Asia/Kolkata" 

COPY config_prod/dockerconfig/supervisord.conf /etc/supervisord.conf
COPY config_prod/dockerconfig/services.conf /etc/supervisord.d/services.conf
ADD config_prod/dockerconfig/envoy-accounts-nominee.yaml /etc/envoy/envoy-accounts-nominee.yaml 

WORKDIR /opt/accounts-nominee 
COPY src_code/ /opt/accounts-nominee
COPY config_prod/.env /opt/accounts-nominee 
#CMD [ "python", "test.py" ] 
EXPOSE 80  